| octanol

## Function

Displays protein hydropathy

## Description

Protein sequences that form transmembrane regions are assumed to have a thermodynamic preference for a hydrophobic environment (inside the membrane lipid bilayer), rather than an aqueous environment in water.

The free energy change for each amino acid residue between a lipid and a water environment can be measured experimentally, and the values for peptides can be shown to be additive (White and Wimley 1999).

The octanol program calculates two free energy differences.

The first is the free energy difference between solution in water and association with the interface (glycerol group) of a POPC (palmitoyloleoylphosphocholine) bilayer.

The second is the free energy difference between water and octanol, equivalent to the environment inside a lipid bilayer.

Residues which can be buried inside a lipid bilayer must be in a region of the peptide where most residues show a free energy difference in favour of being in an octanol environment or at least being in the lipid/water interface region.

White and Wimley (1999) showed that a sliding window of either free energy difference will indicate the location of probably transmembrane regions, but that the best indicator is the difference between the two values, which is the free energy difference between the interface and octanol environments.

The free energies are calculated over a sliding window of 19 residues, about the size of a membrane spanning alphahelix. The energy values for each residue are added over the window.

## Usage

Here is a sample session with octanol

    % octanol
    Displays protein hydropathy
    Input sequence: tsw:opsd_human
    Graph type [x11]: ps

    Created octanol.ps

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Sequence USA
      [-graph]             xygraph    Graph type

       Additional (Optional) qualifiers:
       -datafile           datafile   White-Wimley data file
       -width              integer    Window size
       -octanolplot        boolean    Display the octanol plot
       -interfaceplot      boolean    Display the interface plot
       -[no]differenceplot boolean    Display the difference plot

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1             integer    Start of the sequence to be used
       -send1               integer    End of the sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-graph" associated qualifiers
       -gprompt2            boolean    Graph prompting
       -gtitle2             string     Graph title
       -gsubtitle2          string     Graph subtitle
       -gxtitle2            string     Graph x axis title
       -gytitle2            string     Graph y axis title
       -goutfile2           string     Output file for non interactive displays
       -gdirectory2         string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
[-graph] (Parameter 2) | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png, xml | EMBOSS_GRAPHICS value, or x11
Additional (Optional) qualifiers | Allowed values | Default
-datafile | White-Wimley data file | Data file | Ewhite-wimley.dat
-width | Window size | Integer from 1 to 200 | 19
-octanolplot | Display the octanol plot | Boolean value Yes/No | No
-interfaceplot | Display the interface plot | Boolean value Yes/No | No
-[no]differenceplot | Display the difference plot | Boolean value Yes/No | Yes
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

octanol reads any protein sequence USA.

### Input files for usage example

'tsw:opsd_human' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:opsd_human

    ID   OPSD_HUMAN     STANDARD;      PRT;   348 AA.
    AC   P08100; Q16414;
    DT   01-AUG-1988 (Rel. 08, Created)
    DT   01-AUG-1988 (Rel. 08, Last sequence update)
    DT   15-JUL-1999 (Rel. 38, Last annotation update)
    DE   RHODOPSIN.
    GN   RHO.
    OS   Homo sapiens (Human).
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Mammalia;
    OC   Eutheria; Primates; Catarrhini; Hominidae; Homo.
    RN   [1]
    RP   SEQUENCE FROM N.A.
    RX   MEDLINE; 84272729.
    RA   NATHANS J., HOGNESS D.S.;
    RT   "Isolation and nucleotide sequence of the gene encoding human
    RT   rhodopsin.";
    RL   Proc. Natl. Acad. Sci. U.S.A. 81:4851-4855(1984).
    RN   [2]
    RP   SEQUENCE OF 1-120 FROM N.A.
    RA   BENNETT J., BELLER B., SUN D., KARIKO K.;
    RL   Submitted (NOV-1994) to the EMBL/GenBank/DDBJ databases.
    RN   [3]
    RP   REVIEW ON ADRP VARIANTS.
    RX   MEDLINE; 94004905.
    RA   AL-MAGHTHEH M., GREGORY C., INGLEHEARN C., HARDCASTLE A.,
    RA   BHATTACHARYA S.;
    RT   "Rhodopsin mutations in autosomal dominant retinitis pigmentosa.";
    RL   Hum. Mutat. 2:249-255(1993).
    RN   [4]
    RP   VARIANT ADRP HIS-23.
    RX   MEDLINE; 90136922.
    RA   DRYJA T.P., MCGEE T.L., REICHEI E., HAHN L.B., COWLEY G.S.,
    RA   YANDELL D.W., SANDBERG M.A., BERSON E.L.;
    RT   "A point mutation of the rhodopsin gene in one form of retinitis
    RT   pigmentosa.";
    RL   Nature 343:364-366(1990).
    RN   [5]
    RP   VARIANTS ADRP.
    RX   MEDLINE; 91051574.
    RA   FARRAR G.J., KENNA P., REDMOND R., MCWILLIAM P., BRADLEY D.G.,
    RA   HUMPHRIES M.M., SHARP E.M., INGLEHEARN C.F., BASHIR R., JAY M.,
    RA   WATTY A., LUDWIG M., SCHINZEL A., SAMANNS C., GAL A.,
    RA   BHATTACHARYA S.S., HUMPHRIES P.;
    RT   "Autosomal dominant retinitis pigmentosa: absence of the rhodopsin
    RT   proline-->histidine substitution (codon 23) in pedigrees from
    RT   Europe.";
    RL   Am. J. Hum. Genet. 47:941-945(1990).
    RN   [6]
    RP   VARIANTS ADRP HIS-23; ARG-58; LEU-347 AND SER-347.
    RX   MEDLINE; 91015273.

      [Part of this file has been deleted for brevity]

    FT                                /FTId=VAR_004816.
    FT   VARIANT     209    209       V -> M (EFFECT NOT KNOWN).
    FT                                /FTId=VAR_004817.
    FT   VARIANT     211    211       H -> P (IN ADRP).
    FT                                /FTId=VAR_004818.
    FT   VARIANT     211    211       H -> R (IN ADRP).
    FT                                /FTId=VAR_004819.
    FT   VARIANT     216    216       M -> K (IN ADRP).
    FT                                /FTId=VAR_004820.
    FT   VARIANT     220    220       F -> C (IN ADRP).
    FT                                /FTId=VAR_004821.
    FT   VARIANT     222    222       C -> R (IN ADRP).
    FT                                /FTId=VAR_004822.
    FT   VARIANT     255    255       MISSING (IN ADRP).
    FT                                /FTId=VAR_004823.
    FT   VARIANT     264    264       MISSING (IN ADRP).
    FT                                /FTId=VAR_004824.
    FT   VARIANT     267    267       P -> L (IN ADRP).
    FT                                /FTId=VAR_004825.
    FT   VARIANT     267    267       P -> R (IN ADRP).
    FT                                /FTId=VAR_004826.
    FT   VARIANT     292    292       A -> E (IN CSNB4).
    FT                                /FTId=VAR_004827.
    FT   VARIANT     296    296       K -> E (IN ADRP).
    FT                                /FTId=VAR_004828.
    FT   VARIANT     297    297       S -> R (IN ADRP).
    FT                                /FTId=VAR_004829.
    FT   VARIANT     342    342       T -> M (IN ADRP).
    FT                                /FTId=VAR_004830.
    FT   VARIANT     345    345       V -> L (IN ADRP).
    FT                                /FTId=VAR_004831.
    FT   VARIANT     345    345       V -> M (IN ADRP).
    FT                                /FTId=VAR_004832.
    FT   VARIANT     347    347       P -> A (IN ADRP).
    FT                                /FTId=VAR_004833.
    FT   VARIANT     347    347       P -> L (IN ADRP; COMMON VARIANT).
    FT                                /FTId=VAR_004834.
    FT   VARIANT     347    347       P -> Q (IN ADRP).
    FT                                /FTId=VAR_004835.
    FT   VARIANT     347    347       P -> R (IN ADRP).
    FT                                /FTId=VAR_004836.
    FT   VARIANT     347    347       P -> S (IN ADRP).
    FT                                /FTId=VAR_004837.
    SQ   SEQUENCE   348 AA;  38892 MW;  07443BEA CRC32;
         MNGTEGPNFY VPFSNATGVV RSPFEYPQYY LAEPWQFSML AAYMFLLIVL GFPINFLTLY
         VTVQHKKLRT PLNYILLNLA VADLFMVLGG FTSTLYTSLH GYFVFGPTGC NLEGFFATLG
         GEIALWSLVV LAIERYVVVC KPMSNFRFGE NHAIMGVAFT WVMALACAAP PLAGWSRYIP
         EGLQCSCGID YYTLKPEVNN ESFVIYMFVV HFTIPMIIIF FCYGQLVFTV KEAAAQQQES
         ATTQKAEKEV TRMVIIMVIA FLICWVPYAS VAFYIFTHQG SNFGPIFMTI PAFFAKSAAI
         YNPVIYIMMN KQFRNCMLTT ICCGKNPLGD DEASATVSKT ETSQVAPA
    //

## Output file format

octanol draws a graph showing the free energy calcuated over a sliding window.

### Output files for usage example

### Graphics File: octanol.ps

The line on the default plot is the difference between the interface and octanol free energy calculations. Command line options allow the display of the interface and octanol values, or hiding the difference values.

In the example, the human opsin protein has 7 transmembrane regions: 37-61, 74-98, 114-133, 153-176, 203-230, 253-276 and 285-309. Each is about 20 residues in length, which is also the gap between tick marks on the sequence axis. All have energetic preferences for being in the lipid (octanol) enviroment - shown as being above the zero line - or have at least no clear preference.

Running octanol with all three plots:

    % octanol -interface -octanol
    Input sequence: tsw:opsd_human
       Graph type [x11]:

gives a graph with the water-interface and water-octanol plots.

For those regions where the diference plot is close to zero, both the other two plots are above the line, showing a preference for either the octanol or the interface membrane environments rather than water.

## Data files

File Ewhite-wimley.dat contains the experimental free energy values for the water-interface and water-octanol transitions.

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

## Notes

None.

## References

1. White S.H. and Wimley W.C. (1999) "Membrane protein folding and stability: physical principles" Ann. Rev.Biophys. Biomol. Struct. 28:319-365.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranseq | Back translate a protein sequence
charge | Protein charge plot
checktrans | Reports STOP codons and ORF statistics of a protein
compseq | Counts the composition of dimer/trimer/etc words in a sequence
emowse | Protein identification by mass spectrometry
freak | Residue/base frequency table or plot
iep | Calculates the isoelectric point of a protein
mwcontam | Shows molwts that match across a set of files
mwfilter | Filter noisy molwts from mass spec output
pepinfo | Plots simple amino acid properties in parallel
pepstats | Protein statistics
pepwindow | Displays protein hydropathy
pepwindowall | Displays protein hydropathy of a set of sequences

## Author(s)

Ian Longden (il © sanger.ac.uk)
Sanger Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None